cmfplone_globals=globals()
custom_policies={} #stores the registered Policies

from Products.CMFCore import CachingPolicyManager, DirectoryView, utils
from AccessControl import ModuleSecurityInfo, ClassSecurityInfo
import RelationsTool
import sys




ADD_CONTENT_PERMISSION = 'Add portal content'

#for plone_debug method
import zLOG
def log(message,summary='',severity=0):
    zLOG.LOG('Portal Relations Debug',severity,summary,message)

ModuleSecurityInfo('zLOG').declarePublic('LOG')
ModuleSecurityInfo('zLOG').declarePublic('INFO')

#for form validation bits
def allow_class(Class): 
    """Allow a class and all of its methods to be used from a 
    restricted Script. The argument Class must be a class.""" 
    Class._security = sec = ClassSecurityInfo() 
    sec.declareObjectPublic() 
    sec.setDefaultAccess(1) 
    sec.apply(Class) 
    from Globals import InitializeClass 
    InitializeClass(Class)

from StringIO import StringIO
allow_class(StringIO)

def transaction_note(note):
    """ write human legible note """
    T=get_transaction()
    T.note(str(note))


tools = ( RelationsTool.RelationsTool,  )
this_module = sys.modules[ __name__ ]

global cmfrelations_globals
cmfrelations_globals=globals()

DirectoryView.registerDirectory('skins', cmfrelations_globals)



def initialize(context):
    utils.ToolInit('CMF Relations', tools=tools,
                   product_name='CMFRelations', icon='tool.gif',
                   ).initialize( context )
    